Bug 622219 - LINUX not defined to build the rpm
LINUX not defined to build the rpm
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: cvsps (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Honza Horak
qe-baseos-daemons
: RHELNAK
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-08 03:14 EDT by Florian La Roche
Modified: 2011-05-17 10:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-17 10:14:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
changes between rhel6 and current Fedora rpm (6.21 KB, patch)
2010-08-08 03:22 EDT, Florian La Roche
no flags Details | Diff

  None (edit)
Description Florian La Roche 2010-08-08 03:14:40 EDT
Description of problem:
The newest rpm on Fedora defines "LINUX" to build the rpm. The current
RHEL6 rpm has copied this changelog into the rhel6 src.rpm, but not the
real fix for it.

regards,

Florian La Roche


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Florian La Roche 2010-08-08 03:22:53 EDT
Created attachment 437415 [details]
changes between rhel6 and current Fedora rpm

This shows the changes between the rhel6 rpm and current Fedora.
The LINUX fix is in the changelog, but not the actual fix.

regards,

Florian La Roche
Comment 3 RHEL Product and Program Management 2010-08-08 03:47:46 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 4 Suzanne Yeghiayan 2011-02-15 16:41:37 EST
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.
Comment 6 Suzanne Yeghiayan 2011-02-15 17:05:04 EST
This issue was proposed for RHEL 6.1 FasTrack but did not get resolved in time.
It has been moved to RHEL 6.2 FasTrack.
Comment 8 Ondrej Vasik 2011-05-17 10:06:48 EDT
LINUX macro is used on two places in the code, but there is an existing fallback to inet_addr() when LINUX is not defined (with 255.255.255.255 case handled) - which is probably not ideal, but it works the same way. I think this change is not necessary for RHEL-6, dev_nack for RHEL-6 update - it will be inherited from Fedora for the next RHEL.
Comment 9 RHEL Product and Program Management 2011-05-17 10:14:56 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.